# Class CardConfigExtensions

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Provides static extension methods for CardConfig to augment its functionality.

    public static class CardConfigExtensions

Inheritance
  object
  CardConfigExtensions

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Remarks

This class is a static container for extension methods that extend the capabilities of the CardConfig type.

## Methods

### GetAllObservationNames(CardConfig)

    public static List<string> GetAllObservationNames(this CardConfig config)

#### Parameters

`config` CardConfig

#### Returns

List<string>